libnet-ldap-perl (1:0.6000-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Daniel Lintott ]
  * Imported Upstream version 0.6000
  * Update upstream copyright
  * Add myself to uploaders
  * Add libio-socket-ip-perl to Build-Depends and Suggests
  * Add patch to fix lintian warning (spelling error in POD)

 -- Daniel Lintott <daniel@serverb.co.uk>  Thu, 20 Mar 2014 16:45:57 +0000

libnet-ldap-perl (1:0.5800-1) unstable; urgency=medium

  [ Xavier Guimard ]
  * Bump Standards-Version to 3.9.5
  * Move libwww-perl dependency to recommended dependencies
    (Closes: #720331)

  [ gregor herrmann ]
  * New upstream release.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 11 Jan 2014 21:50:46 +0100

libnet-ldap-perl (1:0.5700-1) unstable; urgency=low

  * New upstream release.
    Fixes "Net::LDAP passes the wrong remote server identity to SASL"
    (Closes: #573596)
  * Drop spelling.patch, merged upstream.
  * Add a debian/NEWS entry about the new parameter bind(sasl_host =>
    SASLHOST).
  * debian/copyright: update Upstream-Contact field.

 -- gregor herrmann <gregoa@debian.org>  Fri, 26 Jul 2013 18:15:20 +0200

libnet-ldap-perl (1:0.5600-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Xavier Guimard ]
  * Imported Upstream version 0.5600 (Closes: #686792)
  * Bumps Standard-Version to 3.9.4
  * Replace spelling patch, now included in upstream, by a new one
  * Add myself in d/copyright and d/changelog
  * Update copyright to format 1.0 and update years
    + Add eDirectory.pm license
  * Remove unnecessary version dependency (libio-socket-ssl-perl)
  * Remove libdigest-md5-perl dependency (in perl core now)
  * Add override_dh_clean target to remove temp/ directory
  * Add libgssapi-perl in Recommends:
  * Update years in d/copyright

  [ gregor herrmann ]
  * debian/copyright: add more new third-party files.
  * Update package list in Suggests and Build-Depends-Indep.

 -- Xavier Guimard <x.guimard@free.fr>  Tue, 11 Jun 2013 06:45:19 +0200

libnet-ldap-perl (1:0.4400-1) unstable; urgency=low

  * New upstream release.
  * Remove patch 0001-un-break-certificate-verification.patch.
  * Update spelling patch.
  * Update upstream and packaging copyright information.

 -- gregor herrmann <gregoa@debian.org>  Wed, 08 Feb 2012 00:28:33 +0100

libnet-ldap-perl (1:0.4300-2) unstable; urgency=low

  * Add patch 0001-un-break-certificate-verification.patch, taken from
    upstream's "next" branch (commits a3c4f7f from Peter Marschall and
    db0b090 from Graham Barr): un-break certificate verification.
    (Closes: #640883)

 -- gregor herrmann <gregoa@debian.org>  Fri, 02 Dec 2011 15:34:41 +0100

libnet-ldap-perl (1:0.4300-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Email change: Ansgar Burchardt -> ansgar@debian.org
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * New upstream release (closes: #640324).
  * Remove localize-dollar_.patch, applied upstream.
  * Drop pod-ellipsis.patch, not needed anymore.
  * Add one more correction to fix-pod-spelling.patch.
  * debian/copyright: update years of copyright and license stanzas.
  * Set Standards-Version to 3.9.2 (no further changes).
  * Bump debhelper compatibility level to 8.
  * Add version to libio-socket-ssl-perl in Build-Depends-Indep and
    Suggests.

 -- gregor herrmann <gregoa@debian.org>  Sun, 04 Sep 2011 14:33:20 +0200

libnet-ldap-perl (1:0.4001-2) unstable; urgency=high

  * add localize-dollar_.patch, fixing using of non-localized $_ in
    Net::LDAP::Constant, causing FTBFS in lemonldap-ng (Closes: #577340)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 19 Apr 2010 23:54:25 +0300

libnet-ldap-perl (1:0.4001-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
    + Fix for multiple consecutive spaces in canonical_dn, as
      described in RT#51165 (Closes: #553188)
    + Avoid escaping regular expressions twice (Closes: #540938)
  * Standards-Version 3.8.4 (drop perl version dep)
  * Add myself to Uploaders and Copyright
  * Rewrite control description
  * Use new short debhelper rules format
  * Use 3.0 (quilt) source format
  * Update copyright information
  * Move to new DEP5 copyright format
  * Add a patch to fix POD spelling errors

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ gregor herrmann ]
  * debian/watch: add uversionmangle to catch potential two-digit versions in
    the future.

 -- Jonathan Yu <jawnsy@cpan.org>  Sat, 03 Apr 2010 13:44:07 -0400

libnet-ldap-perl (1:0.39-1) unstable; urgency=low

  * New upstream release.
  * Add myself to Uploaders.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 02 Nov 2008 12:41:51 +0100

libnet-ldap-perl (1:0.38-1) unstable; urgency=low

  * New upstream release.
  * debian/control: remove leading article and capital letter from short
    description.

 -- gregor herrmann <gregoa@debian.org>  Fri, 26 Sep 2008 17:01:15 +0200

libnet-ldap-perl (1:0.37-1) unstable; urgency=low

  * New upstream release (closes: #499566).
  * Remove sasl-round-robin.patch, integrated upstreams.
  * debian/copyright: switch to new format, add information about
    inc/Module/*.
  * Refresh debian/rules, no functional changes.
  * Remove lintian override about the non-breakable URL, not needed any more.
  * Add /me to Uploaders.
  * Add patch pod-ellipsis.patch to work around a POD/man problem.

 -- gregor herrmann <gregoa@debian.org>  Sat, 20 Sep 2008 01:19:35 +0200

libnet-ldap-perl (1:0.36-1) unstable; urgency=low

  * Take over for the Debian Perl Group on maintainer's request
    (http://lists.debian.org/debian-perl/2008/06/msg00039.html)
  * debian/control
    + add Vcs-Svn, Vcs-Browser and Homepage field (source stanza)
    + Maintainer set to Debian Perl Group <pkg-perl-
      maintainers@lists.alioth.debian.org> (was: Florian Ragwitz
      <rafl@debian.org>)
    + add myself to Uploaders
  * Add debian/watch.
  * New upstream release
    + update upstream years of copyright
    + this was downloaded from CPAN, adjust debian/copyright
  * Convert debian/rules to a very short one thanks to debhelper 7
  * remove temp/ during clean
  * add libxml-sax-writer-perl to (wrapped) build-depends to enable
    additional test. t/05dsml.t now passes. Closes: #434108
  * Upstream LDIF.pm now really doesn't wrap below 40 chars. Closes: #435666
  * add patch from Dominic Hargreaves fixing GSSAPI authenticaton against
    round-robin LDAP servers. Closes: #478022
    + add quilt to build process
    + add README.source
  * package conforms to Policy 3.8.0
  * split Build-Depends-Indep off Build-Depends
  * add lintian override about a warning about a non-breakable URL in
    FAQ(3pm)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 15 Jun 2008 19:50:15 +0300

libnet-ldap-perl (1:0.34-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Don't fail when perl is smart enough not to create
    empty dirs. (Closes: 467865)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 06 Apr 2008 12:26:36 +0200

libnet-ldap-perl (1:0.34-1) unstable; urgency=low

  * New upstream release (Closes: #432931).
    + Ships with an improved recursive-ldap-delete.pl (Closes: #322872).
  * Don't ignore make distclean errors.
  * Update Standards-Version to 3.7.2 (no changes).
  * Update my Maintainer address.
  * Run the test suite.

 -- Florian Ragwitz <rafl@debian.org>  Sun, 15 Jul 2007 17:09:49 +0200

libnet-ldap-perl (1:0.33-2) unstable; urgency=low

  * Changed Architecture back from any to all (Closes: #323297).

 -- Florian Ragwitz <rafl@debianforum.de>  Tue, 16 Aug 2005 01:01:59 +0200

libnet-ldap-perl (1:0.33-1) unstable; urgency=low

  * New upstream version (Closes: #306378).
  * Added epoch (0.33 lt 0.3202).
  * New Maintainer (Closes: #322101).
  * Rewrote debian/rules.
  * Updated Standards-Version.

 -- Florian Ragwitz <rafl@debianforum.de>  Thu, 11 Aug 2005 21:46:17 +0200

libnet-ldap-perl (0.3202-3) unstable; urgency=medium

  * Applied a patch to fix ldif and moddn, closes: #272705.
  * Applied a patch got from SVN and suggested by upstream author;
    closes: #276926.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat,  9 Apr 2005 18:42:51 +0200

libnet-ldap-perl (0.3202-2) unstable; urgency=high

  * Added a missing Build-Depends on libconvert-asn1-perl; closes: #270016.

 -- Davide Puricelli (evo) <evo@debian.org>  Tue, 14 Sep 2004 23:09:52 +0200

libnet-ldap-perl (0.3202-1) unstable; urgency=high

  * New upstream version, closes: #258819.
  * Enhanced Build-Depends field of debian/control.
  * Added a fix from svn, thanks Peter Marschall.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 21 Aug 2004 16:52:02 +0200

libnet-ldap-perl (0.31-1) unstable; urgency=low

  * New upstream version; closes: #228337.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 23 Jan 2004 19:33:06 +0100

libnet-ldap-perl (0.30-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Thu, 23 Oct 2003 18:20:31 +0200

libnet-ldap-perl (0.29-1) unstable; urgency=medium

  * New upstream version, closes: #194682.
  * Removed useless MANIFEST file, closes: #207487.
  * Fixed two minor spelling bugs, closes: #207769, #208034.
  * Updated RFC 2254 link, closes: #207783.
  * Added libauthen-sasl-perl and libxml-sax-perl to Suggests field.

 -- Davide Puricelli (evo) <evo@debian.org>  Sun,  7 Sep 2003 12:23:20 +0200

libnet-ldap-perl (0.26-2) unstable; urgency=low

  * debian/copyright: added a pointer to Perl license; closes: #157619.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon,  2 Sep 2002 10:54:41 +0200

libnet-ldap-perl (0.26-1) unstable; urgency=low

  * New upstream version:
   - start_tls now works with libio-socket-ssl-perl 0.81.
   closes: #150413, #151896.
  * Fixed timeout problem on sparc; closes: #147663. 

 -- Davide Puricelli (evo) <evo@debian.org>  Fri,  2 Aug 2002 14:08:29 +0200

libnet-ldap-perl (0.25-2) unstable; urgency=low

  * Fixed output for $ldif->write_entry method; closes: #130610.
  * Fixed Net::LDAP::Search manpage; closes: #65915.

 -- Davide Puricelli (evo) <evo@debian.org>  Thu, 24 Jan 2002 12:55:15 +0100

libnet-ldap-perl (0.25-1) unstable; urgency=low

  * New upstream version; closes: #124125.

 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 16 Dec 2001 19:16:07 +0100

libnet-ldap-perl (0.24-3) unstable; urgency=low

  * Added a patch to not overwrite $sasl->user in bind(), closes: #114555.
    Thanks to Jean Charles Delepine <delepine@oban.u-picardie.fr>

 -- Davide Puricelli (evo) <evo@debian.org>  Mon,  8 Oct 2001 12:33:53 +0200

libnet-ldap-perl (0.24-2) unstable; urgency=low

  * debian/control: s/libnet-socketssl-perl/libio-socket-ssl-perl.
    closes: #111408.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat,  8 Sep 2001 22:10:36 +0200

libnet-ldap-perl (0.24-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 21 Jul 2001 15:12:26 +0200

libnet-ldap-perl (0.22-2) unstable; urgency=low

  * Updated debian/rules because of perl 5.6 and new perl policy. 

 -- Davide Puricelli (evo) <evo@debian.org>  Thu, 15 Feb 2001 22:08:39 +0100

libnet-ldap-perl (0.22-1) unstable; urgency=low

  * New upstream version. 

 -- Davide Puricelli (evo) <evo@debian.org>  Mon, 18 Sep 2000 18:47:17 +0200

libnet-ldap-perl (0.20-1) unstable; urgency=low

  * New maintainer.
  * New upstream version; closes: #63549.
  * Fixed debian/rules to get rid of cruft in .diff.gz.

 -- Davide Puricelli (evo) <evo@debian.org>  Sun,  6 Aug 2000 20:04:32 +0200

libnet-ldap-perl (0.13-1) unstable; urgency=low

  * New upstream version

 -- Ben Collins <bcollins@debian.org>  Thu, 25 Nov 1999 08:18:24 -0500

libnet-ldap-perl (0.12-1) unstable; urgency=low

  * New upstream version
  * Updated URL in debian/copyright file
  * Now removes URI/ldap.pm since liburi-perl now supplies it, closes: #41110

 -- Ben Collins <bcollins@debian.org>  Mon, 12 Jul 1999 09:46:15 -0400

libnet-ldap-perl (0.11-2) unstable; urgency=low

  * Fixed perl dep for new packages

 -- Ben Collins <bcollins@debian.org>  Tue,  6 Jul 1999 07:22:32 -0400

libnet-ldap-perl (0.11-1) unstable; urgency=low

  * New upstream version
  * Fixes problem with doing ~= searches

 -- Ben Collins <bcollins@debian.org>  Sat,  8 May 1999 19:47:08 -0400

libnet-ldap-perl (0.10-1) unstable; urgency=low

  * New upstream version
  * Reverted attrs parsing change
  * Package is actually arch 'all' and not 'any'

 -- Ben Collins <bcollins@debian.org>  Sun, 18 Apr 1999 10:16:23 -0400

libnet-ldap-perl (0.08-4) unstable; urgency=low

  * Fixed attrs parsing when doing searches

 -- Ben Collins <bcollins@debian.org>  Sat, 17 Apr 1999 19:42:29 -0400

libnet-ldap-perl (0.08-3) unstable; urgency=low

  * Fixed Search.pm from erroring out when no search results were returned
    closes: #35350
  * Fixed incorrect make args which kept man pages from being installed
    without errors

 -- Ben Collins <bcollins@debian.org>  Sat, 17 Apr 1999 16:15:42 -0400

libnet-ldap-perl (0.08-2) unstable; urgency=low

  * Added depends for libconvert-ber-perl (closes #32073)

 -- Ben Collins <bcollins@debian.org>  Mon, 18 Jan 1999 15:09:24 -0500

libnet-ldap-perl (0.08-1) unstable; urgency=low

  * Initial Release.

 -- Ben Collins <bcollins@debian.org>  Mon, 21 Dec 1998 20:31:01 -0500

